Loading...
Searching...
No Matches
real_infinint.hpp File Reference
API

the original infinint class implementation More...

`#include "../my_config.h"`
`#include <typeinfo>`
`#include "integers.hpp"`
`#include "int_tools.hpp"`
`#include "proto_generic_file.hpp"`
`#include "storage.hpp"`

Go to the source code of this file.

## Classes

class | libdar::infinint
| the arbitrary large positive integer class More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Macros

#define | ZEROED_SIZE 50
#define | OPERATOR(OP)

## Functions

infinint | libdar::operator+ (const infinint &, const infinint &)
infinint | libdar::operator- (const infinint &, const infinint &)
infinint | libdar::operator* (const infinint &, const infinint &)
infinint | libdar::operator* (const infinint &, const unsigned char)
infinint | libdar::operator* (const unsigned char, const infinint &)
infinint | libdar::operator/ (const infinint &, const infinint &)
infinint | libdar::operator% (const infinint &, const infinint &)
infinint | libdar::operator& (const infinint &a, const infinint &bit)
infinint | libdar::operator| (const infinint &a, const infinint &bit)
infinint | libdar::operator^ (const infinint &a, const infinint &bit)
infinint | libdar::operator>> (const infinint &a, U_32 bit)
infinint | libdar::operator>> (const infinint &a, const infinint &bit)
infinint | libdar::operator<< (const infinint &a, U_32 bit)
infinint | libdar::operator<< (const infinint &a, const infinint &bit)
void | libdar::euclide (infinint a, const infinint &b, infinint &q, infinint &r)
template<class T>
void | libdar::euclide (T a, T b, T &q, T &r)

## Detailed Description

the original infinint class implementation

the infinint class implementation defined in this module can handle arbitrary large positive integer numbers

Definition in file real_infinint.hpp.

## Macro Definition Documentation

## ZEROED_SIZE

#define ZEROED_SIZE 50

Definition at line 48 of file real_infinint.hpp.